
# Class: ApiParams

## Hierarchy

* **ApiParams**

## Implements

* [IApiPointParams](../interfaces/iapipointparams.md)

## Index

### Constructors

* [constructor](apiparams.md#constructor)

### Properties

* [enabled](apiparams.md#enabled)
* [productFilterId](apiparams.md#productfilterid)
* [skip](apiparams.md#skip)
* [take](apiparams.md#take)

## Constructors

###  constructor

\+ **new ApiParams**(`params?`: [IApiPointParams](../interfaces/iapipointparams.md)): *[ApiParams](apiparams.md)*

**Parameters:**

Name | Type |
------ | ------ |
`params?` | [IApiPointParams](../interfaces/iapipointparams.md) |

**Returns:** *[ApiParams](apiparams.md)*

## Properties

###  enabled

• **enabled**: *boolean* = false

*Implementation of [IApiPointParams](../interfaces/iapipointparams.md).[enabled](../interfaces/iapipointparams.md#enabled)*

___

###  productFilterId

• **productFilterId**: *number*

*Implementation of [IApiPointParams](../interfaces/iapipointparams.md).[productFilterId](../interfaces/iapipointparams.md#optional-productfilterid)*

___

###  skip

• **skip**: *number*

*Implementation of [IApiPointParams](../interfaces/iapipointparams.md).[skip](../interfaces/iapipointparams.md#optional-skip)*

___

###  take

• **take**: *number*

*Implementation of [IApiPointParams](../interfaces/iapipointparams.md).[take](../interfaces/iapipointparams.md#optional-take)*
